<?php

namespace App\Domain\Conversion\Domain\Model;

final readonly class ConversionRequest
{
    public function __construct(
        private string $filePath,
        private string $originalFilename,
        private int $fileSize
    ) {
    }

    public function getFilePath(): string
    {
        return $this->filePath;
    }

    public function getOriginalFilename(): string
    {
        return $this->originalFilename;
    }

    public function getFileSize(): int
    {
        return $this->fileSize;
    }

    public function getOutputFilename(): string
    {
        $pathInfo = pathinfo($this->originalFilename, PATHINFO_FILENAME);
        return $pathInfo . '.cbz';
    }
}
